;ͻ
;								       
;ͼ

@MaximumCB		EQU	10
@DosMemory		EQU	0	; type
@EMSMemory		EQU	1	; type
@MemoryUnLocked 	EQU	0	; status
@MemoryLocked		EQU	1	; status
@FreeRecord		EQU	-1	; ststus

@Eol			EQU	-1

; for DOS memory manager

Memory_CB		struc
	f_link		dd	@Eol
	b_link		dd	@Eol
	mem_size	dw	?
	mem_owner	dw	?
	mem_type	db	@DosMemory
	mem_status	db	@FreeRecord
			db	2 dup (0)
Memory_CB		ends

f_link_off		EQU	WORD PTR f_link
f_link_seg		EQU	WORD PTR f_link + 2
b_link_off		EQU	WORD PTR b_link
b_link_seg		EQU	WORD PTR b_link + 2

;ͻ
;								       
;ͼ

@CommandSuccess 	EQU	0
@CommandFailure 	EQU	0ffh

Memory_Interface	struc
	mem_command	dw	?
	mem_result	db	?
			db	?
	mem_word1	dw	?
	mem_word2	dw	?
Memory_Interface	ends

@InquireAvailableMemory EQU	0
;=======================================================================;;
;o/p:									;;
	DOS_available	EQU	mem_word1	; in paragraph		;;
	EMS_available	EQU	mem_word2	; in pages		;;
;=======================================================================;;

@AllocateDOSMemory	EQU	1
;=======================================================================;;
;i/p:									;;
	mem_require	EQU	mem_word1	; in Paragraph		;;
;o/p:									;;
;	mem_result							;;
	mem_handle	EQU	mem_word1				;;
;=======================================================================;;

@AllocateEMSMemory	EQU	2
;=======================================================================;;
;i/p:									;;
;	mem_require	dw	mem_word1	; in pages		;;
;o/p:									;;
;	mem_result							;;
;	mem_handle	dw	mem_word1				;;
;=======================================================================;;

@LockMemory		EQU	3
;=======================================================================;;
;i/p:									;;
;	mem_handle							;;
;o/p:									;;
	mem_offset	EQU	mem_word1				;;
	mem_segment	EQU	mem_word2				;;
	mem_address	EQU	DWORD PTR mem_offset			;;
;=======================================================================;;

@UnLockMemory		EQU	4
;=======================================================================;;
;i/p:									;;
;	mem_handle							;;
;=======================================================================;;

@FreeMemory		EQU	5
;=======================================================================;;
;i/p:									;;
;	mem_handle							;;
;=======================================================================;;

