;ͻ
;								       
;ͼ

frame_struc		struc
	frame_x0	dw	?
	frame_y0	dw	?
	frame_x1	dw	?
	frame_y1	dw	?
	frame_color	db	?
	frame_method	db	?
frame_struc		ends

;ͻ
;								       
;ͼ

@ZoomAreaX0		EQU	0
@ZoomAreaY0		EQU	0
@ZoomXSpace		EQU	7
@ZoomYSpace		EQU	24
@ZoomAreaXSize		EQU	@ButtonXAll + @ZoomXSpace * 2

@ZoomButtonX0		EQU	@ZoomAreaX0 + @ZoomXSpace - 1
@ZoomButtonY0		EQU	@ZoomAreaY0 + @ZoomYSpace
@ZoomMenuY0		EQU	@ZoomButtonY0 + 8

@ZoomRateX0		EQU	@ZoomButtonX0
@ZoomRateY0		EQU	@ZoomButtonY0 + @ButtonYAll + 2
@ZoomXSize		EQU	@ButtonXSize
@ZoomYSize		EQU	6 * @CharHeight
@ZoomAsciiX0		EQU	@ZoomRateX0 + 2 + @CharWidth
@ZoomAsciiY0		EQU	@ZoomRateY0 + 9

@CutButtonX0		EQU	@ZoomButtonX0
@CutButtonY0		EQU	@ZoomButtonY0 + @ZoomYSpace + @ButtonYSize / 2
@CutMenuY0		EQU	@CutButtonY0 + 8

@IndexButtonx0		EQU	@ZoomButtonX0
@IndexButtonY0		EQU	@CutButtony0 + @ZoomySpace + @ButtonYSize/2
@IndexMenuY0		EQU	@IndexButtonY0 + 8

@OptionButtonX0 	EQU	@ZoomButtonX0
@OptionButtonY0 	EQU	@IndexButtonY0 + @ZoomYSpace + @ButtonYSize/2
@OptionMenuY0		EQU	@OptionButtonY0+8

@ReturnButtonX0 	EQU	@ZoomButtonX0
@ReturnButtonY0 	EQU	@OptionButtonY0 + @ZoomYSpace + @ButtonYSize / 2
@ReturnMenuY0		EQU	@ReturnButtonY0 + 8

@VideoInfoAreaX0	EQU	4
@VideoInfoAreaY0	EQU	@ReturnButtonY0 + @ZoomYSpace + @ButtonYSize
@VideoInfoAreaYSize	EQU	4 * @CharHeight + 1 + 4

@CutInfoAreaX0		EQU	@VideoInfoAreaX0
@CutInfoAreaY0		EQU	@VideoInfoAreaY0 + 4 * @CharHeight + @ButtonYSize
@CutInfoAreaXSize	EQU	9 * @CharWidth
@CutInfoAreaYSize	EQU	8 * @CharHeight + 3 + 4

@PictureFrameX0 	EQU	@ZoomAreaX0 + @ZoomAreaXSize
@PictureFrameY0 	EQU	0

@FnameAreaX0		EQU	@PictureFrameX0 + 1
@FnameAreaY0		EQU	@PictureFrameY0 + 1
@FnameAreaYsize 	EQU	@CharHeight

@RateAreaY0		EQU	@FnameAreaY0 + 1
@RateXSize		EQU	4 * @CharWidth
@RateYSize		EQU	@CharHeight - 2

@TopArrowY0		EQU	@FnameAreaY0 + @FnameAreaYSize + 1
@BottomArrowX0		EQU	@FnameAreaX0

@VerticalBarY0		EQU	@TopArrowY0 + @ArrowHeight
@HorizontalBarX0	EQU	@BottomArrowX0 + @ArrowWidth

@ImageStartX0		EQU	@FnameAreaX0 + 2
@ImageStartY0		EQU	@TopArrowY0 + 2

@VerticalScrollY0	EQU	@TopArrowY0 + @ArrowHeight
@HorizontalScrollX0	EQU	@BottomArrowX0 + @ArrowWidth
@BarWidth		EQU	@ArrowWidth - 4
@BarHeight		EQU	@ArrowHeight - 4

;ͻ
; Show_Flag							       
;ͼ

@CanRight		EQU	00000001B
@CanDown		EQU	00000010B
@ArrowMove		EQU	00000100B
@AllinBuffer		EQU	00001000B
@UpDownOver		EQU	00010000B
@LeftRightOver		EQU	00100000B
@PixelZoom		EQU	01000000B
@ShowQuit		EQU	10000000B

@ShowHorizontal100	EQU	00000001B
@ShowVertical100	EQU	00000010B

;ͻ
;								       
;ͼ

@640x480Pixels		EQU	640
@640x480Lines		EQU	480
@640x480ImageWidth	EQU	528
@640x480ImageHeight	EQU	440
@640x480XFactor 	EQU	20*17
@640x480YFactor 	EQU	20*22
@640x480BarWidth	EQU	501
@640x480BarHeight	EQU	412
@640x480RateX		EQU	581
@640x480UpArrowX	EQU	623
@640x480DownArrowY	EQU	446
@640x480LeftArrowY	EQU	463
@640x480RightArrowX	EQU	606
@640x480FnameXSize	EQU	533

@800x600Pixels		EQU	800
@800x600Lines		EQU	600
@800x600ImageWidth	EQU	688
@800x600ImageHeight	EQU	560
@800x600XFactor 	EQU	25*17
@800x600YFactor 	EQU	25*22
@800x600BarWidth	EQU	661
@800x600BarHeight	EQU	532
@800x600RateX		EQU	741
@800x600UpArrowX	EQU	783
@800x600DownArrowY	EQU	566
@800x600LeftArrowY	EQU	583
@800x600RightArrowX	EQU	766
@800x600FnameXSize	EQU	693

@1024x768Pixels 	EQU	1024
@1024x768Lines		EQU	768
@1024x768ImageWidth	EQU	912
@1024x768ImageHeight	EQU	728
@1024x768XFactor	EQU	33*17
@1024x768YFactor	EQU	33*22
@1024x768BarWidth	EQU	865
@1024x768BarHeight	EQU	700
@1024x768RateX		EQU	945
@1024x768UpArrowX	EQU	987
@1024x768DownArrowY	EQU	734
@1024x768LeftArrowY	EQU	751
@1024x768RightArrowX	EQU	970
@1024x768FnameXSize	EQU	897

;ͻ
;								       
;ͼ

@CutLeftVertical	EQU	10000000B
@CutRightVertical	EQU	00000001B
@CutTopHorizontal	EQU	01000000B
@CutBottomHorizontal	EQU	00000010B
@CutAllFrames		EQU	11000011B
@CutLeftUpBox		EQU	00100000B
@CutLeftDownBox 	EQU	00010000B
@CutRightUpBox		EQU	00001000B
@CutRightDownBox	EQU	00000100B
@CutAllBoxes		EQU	00111100B

