;ͻ
; Menu Equates 						       
;ͼ

;================================================================
;=								=
;================================================================

@GrayStart		EQU	0	;
@ButtonSurface		EQU	4	; R=G=B=0x0C
@ColorStart		EQU	240

@White			EQU	255	; R=G=B=0x3F
@Magenta		EQU	247	; R=0x3f, G=0x1f, B=0
@Blue			EQU	253	; B=0x1f, R=G=0
@Red			EQU	252	; R=0x1F, G=B=0
@CyanSh 		EQU	251
@InActive		EQU	250	; R=G=B=0x1F
@Cyan			EQU	249	; G=0x1f, B=0x1f, R=0
@Yellow 		EQU	248	; R=0x3f, B=0x3f, G=0
@Green			EQU	254	; G=0x1f, R=B=0
@Title6 		EQU	246
@Title5 		EQU	245
@Title4 		EQU	244
@Title3 		EQU	243
@Title2 		EQU	242
@Title1 		EQU	241
@Black			EQU	240	; R=G=B=0x00

;================================================================
;=								=
;================================================================

string_struc		struc
	string_x	dw	?
	string_y	dw	?
	string_attr	db	?
	string_zattr	db	?
	string_text	db	?
string_struc		ends

button_struc		struc
	button_x	dw	?
	num_chars	dw	?
	button_c_x	dw	?
	button_c_y	dw	?
	button_c_attr	db	?
	button_c_zattr	db	?
	button_c_text	db	?
button_struc		ends

brush_struc		struc
	brush_x 	dw	?
	brush_y 	dw	?
	brush_x_size	dw	?
	brush_y_size	dw	?
	brush_attr	db	?
	brush_shadow	db	?	; 0: without
	brush_frame	db	?	; 0: without
	brush_f_attr	db	?
brush_struc		ends

;================================================================
;=								=
;================================================================

@TitleBrushHeight	EQU	24
@TitleX640		EQU	9 * 8
@TitleY640		EQU	4

@TitleX0Line		EQU	1
@TitleY0Line		EQU	1
@TitleX1Line		EQU	@640x480xPixels-2
@TitleY1Line		EQU	@TitleBrushHeight-2

;================================================================
;=								=
;================================================================

@PreScanReadBuffer	EQU	0
@PreScanBufferSize	EQU	6000h
@PreScanShowBuffer	EQU	@PreScanReadBuffer + @PreScanBufferSize

@PreScanSampleBytes	EQU	2
@PreScanSampleOffset	EQU	5
@PreScanSampleLoop	EQU	254 / 2
@FirstSample		EQU	0
@SecondSample		EQU	2

;================================================================
;=								=
;================================================================

@A4Pixels		EQU	2550
@A4Lines		EQU	3300

@PixelsPerInch		EQU	300
@PreViewFactor		EQU	10
@InchFactor		EQU	@PixelsPerInch / @PreViewFactor
@PreViewXRange		EQU	@A4Pixels / @PreViewFactor
@PreViewYRange		EQU	@A4Lines / @PreViewFactor

@PreViewX0Frame 	EQU	14 + 16
@PreViewY0Frame 	EQU	13 + 16 + @TitleBrushHeight

; + 2 for up/down/left/right spaces

@PreViewX1Frame 	EQU	@PreViewX0Frame + 2 + @PreViewXRange - 1
@PreViewY1Frame 	EQU	@PreViewY0Frame + 2 + @PreViewYRange - 1

@PreViewX0		EQU	@PreViewX0Frame + 2
@PreViewY0		EQU	@PreViewY0Frame + 2
@PreViewX1		EQU	@PreViewX1Frame
@PreViewY1		EQU	@PreViewY1Frame

@ShadowXSize		EQU	7
@ShadowYSize		EQU	8

@DefaultXSpace		EQU	300 / @PreViewFactor	; 1 inch
@DefaultYSpace		EQU	300 / @PreViewFactor	; 1 inch

@DefaultXRange		EQU	(2550 - 300 * 2) / @PreViewFactor
@DefaultYRange		EQU	(3300 - 300 * 2) / @PreViewFactor

@ScanDefaultX0		EQU	@PreViewX0 + @DefaultXSpace
@ScanDefaultY0		EQU	@PreViewY0 + @DefaultYSpace
@ScanDefaultX1		EQU	@PreViewX1 - @DefaultXSpace - 1
@ScanDefaultY1		EQU	@PreViewY1 - @DefaultYSpace - 1

;================================================================
;=								=
;================================================================

@ButtonXSize		EQU	16 + 7 * @CharWidth
@ButtonYSize		EQU	12 + @CharHeight
@ButtonXAll		EQU	@ButtonXSize + 2
@ButtonYAll		EQU	@ButtonYSize + 2
@ButtonY0		EQU	@640x480xLines - @ButtonYSize - 16
@ButtonMenuY0		EQU	@ButtonY0 + 8
@ButtonSpace		EQU	@ButtonXAll + 20

@PreScanMenuX0		EQU	@PreViewX0Frame
@ScanMenuX0		EQU	@PreScanMenuX0 + @ButtonSpace * 1
@ViewMenuX0		EQU	@PreScanMenuX0 + @ButtonSpace * 2
;@HelpMenuX0		 EQU	 @PreScanMenuX0 + @ButtonSpace * 2
;@QuitMenuX0		 EQU	 @PreScanMenuX0 + @ButtonSpace * 5

;================================================================
;=								=
;================================================================

@UpperButtonX0		EQU	334
@UpperButtonY0		EQU	@PreViewY0Frame
@UpperButtonMenuY0	EQU	@UpperButtonY0 + 8

@OpenMenuX0		EQU	@UpperButtonX0
@SaveMenuX0		EQU	@OpenMenuX0 + @ButtonSpace * 1
@AbortMenuX0		EQU	@OpenMenuX0 + @ButtonSpace * 2

@HelpMenuX0		EQU	@SaveMenuX0
@QuitMenuX0		EQU	@AbortMenuX0

;================================================================
;=								=
;================================================================

@Int24X0		EQU	(@640x480xPixels - 31 * @CharWidth) / 2 - 20
@Int24Y0		EQU	@640x480xLines / 2 - 30
@Int24XSize		EQU	31 * @CharWidth + 20
@Int24YSize		EQU	@ButtonYAll + @CharHeight + 4 + 4 + 4

@Int24ReasonX0		EQU	@Int24X0 + 10
@Int24ReasonY0		EQU	@Int24Y0 + 4

@Int24AbortX0		EQU	@Int24X0 + (@Int24XSize- 2*(@ButtonXAll-20)) / 3
@Int24AbortY0		EQU	@Int24Y0 + @CharHeight + 4 + 4

@MessageOkayX0		EQU	@Int24X0 + (@Int24XSize - @ButtonXAll) / 2

@Int24RetryX0		EQU	@Int24AbortX0 + @ButtonSpace
@Int24RetryY0		EQU	@Int24AbortY0

@Int24Save256		EQU	(@Int24XSize + @ShadowXSize) * (@Int24YSize + @ShadowYSize)

@Int24SaveHiColor	EQU	@Int24Save256 * 2

;================================================================
;=								=
;================================================================

@SaveX0 		EQU	@Int24X0
@SaveY0 		EQU	@Int24Y0
@SaveXSize		EQU	@Int24XSize
@SaveYSize		EQU	@CharHeight * 2
@SaveBarX0		EQU	@SaveX0 + 10
@SaveBarY0		EQU	@SaveY0 + @CharHeight / 2
@SaveBarXSize		EQU	@SaveXSize - 20
@SaveBarYSize		EQU	@CharHeight

;================================================================
;=								=
;================================================================

@ScanBrushX0		EQU	328 - 2
@ScanBrushY0		EQU	305 - 2
@ScanBrushXSize 	EQU	32 * @CharWidth + 24
@ScanBrushYSize 	EQU	78 + 4
@ScanLineSpace		EQU	7

@ScanInfoFrameX0	EQU	@ScanBrushX0 + 1
@ScanInfoFrameY0	EQU	@ScanBrushY0 + 1
@ScanInfoFrameX1	EQU	@ScanBrushX0 + @ScanBrushXSize - 2
@ScanInfoFrameY1	EQU	@ScanBrushY0 + @ScanBrushYSize - 2

@ScanInfoMenuX0 	EQU	@ScanInfoFrameX0 + 12
@ScanInfoMenuY0 	EQU	@ScanInfoFrameY0 + 8
@ScanInfoMenuXEnd	EQU	@ScanInfoMenuX0 + 5 * @CharWidth + (6 * @CharWidth) * 4 - 1

@ScanXInfoY0		EQU	@ScanInfoMenuY0
@ScanYInfoY0		EQU	@ScanInfoMenuY0+(@CharHeight+@ScanLineSpace)*1
@ScanDPIInfoY0		EQU	@ScanInfoMenuY0+(@CharHeight+@ScanLineSpace)*2+4

@SplitLineX0		EQU	@ScanInfoFrameX0 + 1
@SplitLinePixels	EQU	@ScanBrushXSize - 4

@SplitLine1Y0		EQU	@ScanYInfoY0 - 4
@SplitLine2Y0		EQU	@ScanDPIInfoY0 - 8

;================================================================
;=								=
;================================================================

@BoxOuterXSize		EQU	12
@BoxInnerXSize		EQU	8
@BoxOuterYSize		EQU	12
@BoxInnerYSize		EQU	8
@BoxSpace		EQU	2

@DPIBoxes		EQU	5
@DPIBoxesY0		EQU	@ScanDPIInfoY0 + 2

@75DPI			EQU	2 * 0
@100DPI 		EQU	2 * 1
@150DPI 		EQU	2 * 2
@200DPI 		EQU	2 * 3
@300DPI 		EQU	2 * 4

;================================================================
;=								=
;================================================================

@FileBrushX0		EQU	@ScanBrushX0
@FileBrushY0		EQU	@UpperButtonY0 + @ButtonYAll + 8
@FileBrushXSize 	EQU	@ScanBrushXSize
@FileBrushYSize 	EQU	195
@FileFrameX0		EQU	@ScanInfoFrameX0
@FileFrameY0		EQU	@FileBrushY0 + 1
@FileFrameX1		EQU	@ScanInfoFrameX1
@FileFrameY1		EQU	@FileBrushY0 + @FileBrushYSize - 2

@FilenameX0		EQU	@ScanBrushX0 + @CharWidth
@FilenameY0		EQU	@FileBrushY0 + 4

@FileSplitLineX0	EQU	@ScanBrushX0 + 23 * @CharWidth + 1
@FileSplitLineY0	EQU	@FileBrushY0 + 2
@FileSplitLineSize	EQU	@FileBrushYSize - 4

@FilenameLineX0 	EQU	@FileBrushX0 + 2
@FilenameLineY0 	EQU	@FilenameY0 + @CharHeight + 1
@FilenameLineWidth	EQU	@FileSplitLineX0 - @FilenameLineX0

@FileTypeX0		EQU	@FileSplitLineX0 + 7
@FileTypeY0		EQU	@FileSplitLineY0 + 4
@FileTypeXSize		EQU	9 * @CharWidth + 8
@FileTypeYSize		EQU	@CharHeight + 8

@FileTypeMenuX0 	EQU	@FileTypeX0 + 4
@FileTypeMenuY0 	EQU	@FileTypeY0 + 4

@FileTypeBoxesX0	EQU	@FileTypeMenuX0 + @CharWidth
@FileTIFFBoxesY0	EQU	@FileTypeMenuY0 + @CharHeight + 12
@FileTGABoxesY0 	EQU	@FileTIFFBoxesY0 + @CharHeight + 4


@TIFFX0 		EQU	@FileTypeBoxesX0 + @CharWidth * 2
@TiFFY0 		EQU	@FileTIFFBoxesY0

@TGAX0			EQU	@FileTypeBoxesX0 + @CharWidth * 2
@TGAY0			EQU	@FileTGABoxesY0

@Tiff			EQU	0
@User			EQU	2

@FileCancelX0		EQU	@AbortMenuX0
@FileCancelY0		EQU	@FileFrameY1 - @ButtonYAll - 9
@FileOkButtonX0 	EQU	@AbortMenuX0
@FileOKButtonY0 	EQU	@FileCancelY0 - @ButtonYAll - 9

@FileOkMenuY0		EQU	@FileOkButtonY0 + 8
@FileCancelMenuY0	EQU	@FileCancelY0 + 8

@FileAreaBrushX0	EQU	@FilenameX0 + 4
@FileAreaBrushY0	EQU	@FilenameY0 + @CharHeight + 6
@FileAreaXSize		EQU	12*@CharWidth + 2*@CharWidth + @ArrowWidth + 8
@FileAreaYSize		EQU	10 * @CharHeight + 4

@FileScrollX0		EQU	@FileAreaBrushX0 + @FileAreaXSize - 3 - 14
@FileScrollY0		EQU	@FileAreaBrushY0 + 2
@FileScrollLines	EQU	@FileAreaYSize - 4

@ArrowWidth		EQU	16
@ArrowHeight		EQU	16

@FileUpArrowX0		EQU	@FileScrollX0
@FileUpArrowY0		EQU	@FileScrollY0 - 1

@FileDownArrowX0	EQU	@FileUpArrowX0
@FileDownArrowY0	EQU	@FileUpArrowY0+@FileScrollLines-@ArrowWidth+2

@FilenamePutX0		EQU	@FilenameX0 + 9 * @CharWidth
@FilenamePutX1		EQU	@FilenamePutX0 + 12 * @CharWidth + 1
@FilenamePutY0		EQU	@FilenameY0
@FilenamePutY1		EQU	@FilenameY0 + @CharHeight

; scroll button info

@ScrollButtonX0 	EQU	@FileUpArrowX0
@ScrollButtonY0 	EQU	@FileUpArrowY0 + @ArrowHeight
@ScrollButtonSize	EQU	@FileDownArrowY0 - @ScrollButtonY0 - @ArrowHeight

;

@DriveX0		EQU	@FileAreaBrushX0 + @FileAreaXSize + 8
@DriveY0		EQU	@FileAreaBrushY0
@DriveXSize		EQU	@ArrowWidth + 2
@DriveYSize		EQU	@FileAreaYSize
@NumberOfDrives 	EQU	7

@DriveArrowX0		EQU	@DriveX0 + 1

@DriveUpArrowY0 	EQU	@DriveY0 + 1
@DriveDownArrowY0	EQU	@DriveY0 + @DriveYSize - 17

@CurrentX0		EQU	@DriveArrowX0 + 1
@CurrentY0		EQU	@DriveY0 + @CharHeight + 1
@CurrentXSize		EQU	@ArrowWidth - 2
@CurrentYSize		EQU	@ArrowHeight - 1

@CurrentDriveX0 	EQU	@DriveArrowX0 + 4
@CurrentDriveY0 	EQU	@CurrentY0 + 1
@CurrentDriveLineX0	EQU	@CurrentX0
@CurrentDriveLineY0	EQU	@CurrentY0 + @CurrentYSize
@CurrentDrivePixels	EQU	@CharWidth * 2 - 2

; drives information

@ValidDrivesX0		EQU	@CurrentDriveX0
@ValidDrivesY0		EQU	@CurrentDriveY0 + @CharHeight
@ValidDrivesMouseX0	EQU	@DriveArrowX0
@ValidDrivesMouseY0	EQU	@ValidDrivesY0

; for files paging informations

@TotalFilesShow 	EQU	9
@FilesShowX0		EQU	@FileAreaBrushX0 + 8 + 1
@FilesShowY0		EQU	@FileAreaBrushY0 + 2 + 8
@FilesClearXSize	EQU	13 * @CharWidth
@FilesClearYSize	EQU	@TotalFilesShow * @CharHeight

; for mouse routine

@FileSelectX0		EQU	@FileAreaBrushX0 + 2
@FileSelectY0		EQU	@FilesShowY0
@DoubleClickPeriod	EQU	4	; 4 ticks

;ͻ
;								       
;ͼ

@FilesBuffer		EQU	1000h
@FileRecordSize 	EQU	14
@TotalFiles		EQU	@FilesBuffer / @FileRecordSize

@FailOnInt24		EQU	53h

;================================================================
;=								=
;================================================================

@DirBlockX0		EQU	@PreViewX0Frame
@DirBlockXSize		EQU	72 * @CharWidth
@DirBlockY0		EQU	@PreViewY1Frame + @ShadowYSize + 8
@DirBlockYSize		EQU	@CharHeight + 8

@DirX0			EQU	@DirBlockX0 + @CharWidth + 4
@DirY0			EQU	@DirBlockY0 + 5

;ͻ
;								       
;ͼ

@1x4			EQU	0
@1x2			EQU	2
@1x1			EQU	4
@2x1			EQU	6
@4x1			EQU	8
