;ͻ
; Mouse Equates						       
;ͼ

@MouseReset		EQU	0
@MouseShowCursor	EQU	1
@MouseHiddenCursor	EQU	2
@MouseReadCursor	EQU	3
@MouseSetCursor 	EQU	4
@MouseSetXMinMax	EQU	7
@MouseSetYMinMax	EQU	8
@MouseMotionCounters	EQU	11
@MouseSetISR		EQU	12
@MouseSetPixelRatio	EQU	15

;@MouseLeftButton	 EQU	 0000000000000001B
;@MouseRightButton	 EQU	 0000000000000010B

; mask equates

;@PointerMove		 EQU	 0000000000000001B
;@LeftButtonPress	 EQU	 0000000000000010B
;@LeftButtonRelease	 EQU	 0000000000000100B
;@RightButtonPress	 EQU	 0000000000001000B
;@RightButtonRelease	 EQU	 0000000000010000B
@LeftButtonPress	EQU	0000000000000001B
@LeftButtonRelease	EQU	0000000000000100B
@RightButtonPress	EQU	0000000000000010B
@RightButtonRelease	EQU	0000000000001000B

@MaskMove		EQU	0000000000011110B
@MaskAll		EQU	0000000000011111B

@EsrMoveBit		EQU	0000000000000001B
@EsrLeftButtonPress	EQU	0000000000000010B
@EsrLeftButtonRelease	EQU	0000000000000100B
@EsrRightButtonPress	EQU	0000000000001000B
@EsrRightButtonRelease	EQU	0000000000010000B
@EsrCenterButtonPress	EQU	0000000000100000B
@EsrCenterButtonRelease EQU	0000000001000000B

@EsrMaskBits		EQU	0000000000000011B

;

@16x16			EQU	16

@XRatio 		EQU	8
@YRatio 		EQU	8

@EOL			EQU	-1

mouse_item_check	struc
	check_proc	dw	?
	mask_bits	dw	?
mouse_item_check	ends

;================================================
;= patterns' number                             =
;=   File format:				=
;=	first is mask array, second is or array =
;================================================

@PointerSize		EQU	16 * 16 * 2

@StandardPointer	EQU	0
@BiDirectArrow		EQU	@PointerSize * 1
@WaitPointer		EQU	@PointerSize * 2
@FramePointerLURD	EQU	@PointerSize * 3
@LeftRightPointer	EQU	@PointerSize * 4
@FramePointerRULD	EQU	@PointerSize * 5
@HandMovePointer	EQU	@PointerSize * 6

;================================================
;= Quit_Flag bits definition			=
;================================================

@ProgramQuit		EQU	00000001B
@OpenQuit		EQU	00000010B
@InitDrivePath		EQU	10000000B

;================================================
;= Drives_Flags bits definition 		=
;================================================

@DriveCanUp		EQU	00000001B
@DriveCanDown		EQU	00000010B

;================================================
;= File_Flags bits definition			=
;================================================

@NotHomeDirectory	EQU	00000001B   ; has '..' directory
@NoScrollMove		EQU	00000010B   ; files less than @TotalFilesShow
@FilesOverButton	EQU	00000100B   ; files more than button space, so
					    ;  a little of files move just up/
					    ;	down a line
@FilesCanDown		EQU	00001000B
@CanSave		EQU	00010000B   ; image readed/scanned
@ScanFlag		EQU	00100000B
@CutMode		EQU	01000000B
@NoDelay		EQU	10000000B

;================================================
;= Mouse_flag bits definition			=
;================================================

@WaitButtonRelease	EQU	10000000B
@ButtonAlreadyOn	EQU	00000001B
@ButtonInCenter 	EQU	00000010B

